Skip to Content
avatar image
Former Member

UsingEnterprise workspace 1.1 in SAP Portal 7.4

Hi Experts,


Need you help.We want to use Enterprise Workspace in SAP Portal 7.4 and we have deployed below SCA's for Enterprise Workspace 1.1-

EPEXT01_0.SCA

SPACES01_0.SCA

SPACESAPI01_0.SCA

SPACESAPPS01_0.SCA

SPACESKM01_0.SCA

Workspace Administration is available in Portal after assigning "Workspace System Administration" role , but while trying to Activate People explorer in Workspace Adminstration->Configuration->tools --I am not able to find any People Explorer Tool here

Also, if I try creating any new workspace I am getting below error-


Error: Application error occurred during the request processing.

  SAP Technology Troubleshooting Guide

Details:
WebApplicationException log ID is [C000C0A80195013C0000000000000358]

Exception details attached.

Do we have to deploy any other SCA apart from these??

Please reply if anyone is aware of this issue.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Dec 29, 2014 at 11:43 AM

    Hi,

    Have you followed the installation guide?

    Installation and Upgrade Guide SAPĀ® NetWeaver Portal, Enterprise Workspaces 1.1 SP05

    (if you cannot access the link, look for it in the service market place)

    It is stated there that starting from SP3 (of e-spaces), you should also install SPACES_SOC.SCA (for 7.3 and above).

    What SP of Enterprise Workspaces are you trying to install?

    I recommend following this guide, as it contains all relevant information and references prior and during installation that are important.

    Thanks & regards,

    Michal

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Arun,

      You mentioned earlier that you have NetWeaver portal 7.4. are you using Enterprise Workspaces 1.1, SP1?

      As I mentioned before, SPACES_SOC.SCA is available starting from SP3 of E-SPACES 1.1, so if you have SP1, it does not exist for this SP.


      The reason for the exception you get is that you are using an old version of e-spaces, with a newer version of the portal.

      It looks like there is a collision between two classes from the same name, and the same package, that are located in different projects of the portal installation (class JSONObject).

      Hence, please update to the latest SP of Enterprise Workspaces that exist in the Service Market Place. In newer SPs the package of this class was changed.

      Another important information -

      In the service market place it is states the following specifically regarding Enterprise Workspaces 1.1:

      The Download of Enterprise Workspaces Installations starts with IS Stack (ISS) 0 each. SAP recommends to always install the latest SP Stack (SPS).

      Support Package Stacks

      Enterprise Workspaces are maintained by Support Package Stacks (SPS). SAP recommends that you always install the latest Support Package Stack. You can find available Support Package Stacks for Enterprise Workspaces on the SAP Service Marketplace at https://service.sap.com/swdc -> Support Packages and Patches -> A-Z Index -> N-> SAP NW ENTERP. WORKSPACES -> SAP NW ENTERP. WORKSPACES 1.1 -> Link to SP Stack Application -> download the latest SP Stack.

      Another reason to use the latest SP, is by reading the "known issues of Enterprise Workspaces" notes of the different SPs. for example: 1622964 - Known Issues of Enterprise Workspaces 1.1 SP01

      Thanks & regards,

      Michal